ata_scsi_remove_dev
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_remove_dev — remove attached SCSI device

## Synopsis

`void ata_scsi_remove_dev (` | struct ata_device * | dev`)`;

## Arguments

`dev`

  ATA device to remove attached SCSI device for

## Description

This function is called from `ata_eh_scsi_hotplug` and responsible for removing the SCSI device attached to `dev`.

## LOCKING

Kernel thread context (may sleep).

Prev | Up | Next
ata_scsi_offline_dev | Home | ata_scsi_media_change_notify